Bug 2267205 - CVE-2024-24246 qpdf: Heap Buffer Overflow vulnerability in qpdf [fedora-all]
Summary: CVE-2024-24246 qpdf: Heap Buffer Overflow vulnerability in qpdf [fedora-all]
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: qpdf
Version: 39
Hardware: Unspecified
OS: Unspecified
medium
medium
Target Milestone: ---
Assignee: Zdenek Dohnal
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: CVE-2024-24246
TreeView+ depends on / blocked
 
Reported: 2024-03-01 05:35 UTC by Avinash Hanwate
Modified: 2024-03-23 00:25 UTC (History)
3 users (show)

Fixed In Version: qpdf-11.6.4-2.fc39 qpdf-11.6.4-2.fc38 qpdf-11.9.0-1.fc40
Doc Type: No Doc Update
Doc Text:
Clone Of:
Environment:
Last Closed: 2024-03-10 01:07:03 UTC
Type: ---
Embargoed:


Attachments (Terms of Use)

Description Avinash Hanwate 2024-03-01 05:35:16 UTC
More information about this security flaw is available in the following bug:

http://bugzilla.redhat.com/show_bug.cgi?id=2267204

Disclaimer: Community trackers are created by Red Hat Product Security team on a best effort basis. Package maintainers are required to ascertain if the flaw indeed affects their package, before starting the update process.

Comment 1 Avinash Hanwate 2024-03-01 05:35:19 UTC
Use the following template to for the 'fedpkg update' request to submit an
update for this issue as it contains the top-level parent bug(s) as well as
this tracking bug.  This will ensure that all associated bugs get updated
when new packages are pushed to stable.

=====

# bugfix, security, enhancement, newpackage (required)
type=security

# low, medium, high, urgent (required)
severity=medium

# testing, stable
request=testing

# Bug numbers: 1234,9876
bugs=2267204,2267205

# Description of your update
notes=Security fix for [PUT CVEs HERE]

# Enable request automation based on the stable/unstable karma thresholds
autokarma=True
stable_karma=3
unstable_karma=-3

# Automatically close bugs when this marked as stable
close_bugs=True

# Suggest that users restart after update
suggest_reboot=False

======

Additionally, you may opt to use the bodhi web interface to submit updates:

https://bodhi.fedoraproject.org/updates/new

Comment 2 Fedora Update System 2024-03-01 11:44:14 UTC
FEDORA-2024-8762164e47 (qpdf-11.6.4-2.fc39) has been submitted as an update to Fedora 39.
https://bodhi.fedoraproject.org/updates/FEDORA-2024-8762164e47

Comment 3 Fedora Update System 2024-03-01 11:58:58 UTC
FEDORA-2024-daa7df59d6 (qpdf-11.6.4-2.fc38) has been submitted as an update to Fedora 38.
https://bodhi.fedoraproject.org/updates/FEDORA-2024-daa7df59d6

Comment 4 Fedora Update System 2024-03-01 12:39:15 UTC
FEDORA-2024-7d55be81bd (qpdf-11.9.0-1.fc40) has been submitted as an update to Fedora 40.
https://bodhi.fedoraproject.org/updates/FEDORA-2024-7d55be81bd

Comment 5 Fedora Update System 2024-03-02 01:02:33 UTC
FEDORA-2024-8762164e47 has been pushed to the Fedora 39 testing repository.
Soon you'll be able to install the update with the following command:
`sudo dnf upgrade --enablerepo=updates-testing --refresh --advisory=FEDORA-2024-8762164e47`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2024-8762164e47

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 6 Fedora Update System 2024-03-02 01:41:34 UTC
FEDORA-2024-7d55be81bd has been pushed to the Fedora 40 testing repository.
Soon you'll be able to install the update with the following command:
`sudo dnf upgrade --enablerepo=updates-testing --refresh --advisory=FEDORA-2024-7d55be81bd`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2024-7d55be81bd

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 7 Fedora Update System 2024-03-02 02:00:56 UTC
FEDORA-2024-daa7df59d6 has been pushed to the Fedora 38 testing repository.
Soon you'll be able to install the update with the following command:
`sudo dnf upgrade --enablerepo=updates-testing --refresh --advisory=FEDORA-2024-daa7df59d6`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2024-daa7df59d6

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 8 Fedora Update System 2024-03-10 01:07:03 UTC
FEDORA-2024-8762164e47 (qpdf-11.6.4-2.fc39) has been pushed to the Fedora 39 stable repository.
If problem still persists, please make note of it in this bug report.

Comment 9 Fedora Update System 2024-03-10 01:23:01 UTC
FEDORA-2024-daa7df59d6 (qpdf-11.6.4-2.fc38) has been pushed to the Fedora 38 stable repository.
If problem still persists, please make note of it in this bug report.

Comment 10 Fedora Update System 2024-03-23 00:25:28 UTC
FEDORA-2024-7d55be81bd (qpdf-11.9.0-1.fc40) has been pushed to the Fedora 40 stable repository.
If problem still persists, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.